Suscribir una WABA a webhooks
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Webhooks
Suscribir una WABA a webhooks
Suscribir una WABA a webhooks. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
wabas
/
{wabaId}
/
webhook-subscriptions
Suscribir una WABA a webhooks
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"overrideCallbackUri": "https://your-app.com/webhooks/whatsapp",
"verifyToken": "shared-secret"
}
'{
"success": true
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID de la cuenta de WhatsApp Business devuelto por GET /meta/phone-numbers.
Cuerpo
application/json
Respuesta
200 - application/json
App subscribed to this WABA's events
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Callback URL failed Meta's verification handshake, or is not HTTPS | Return hub.challenge on the GET handshake |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?